QAPlug - PMD

Compatible with:  IntelliJ IDEA , Android Studio
96 661
PMD module for QAPlug - an Intellij IDEA plugin to manage code quality which integrates tools such as PMD, Checkstyle and Findbugs. Included PMD version: 5.0.4

Download plugin

Recent change notes

Compatibility changes to support IntelliJ IDEA 14

General usage instructions

Manage your code quality directly from IDEA:

1. Select 'Analyze code' from the context menu.
2. Choose appropriate scope and analysis profile.
3. Run analysis.
4. Browse and fix problems with your code.
Do you plan putting the source code for the plug-in on GitHub so that people could contribute enhancements and fixes to it?
Is it already working with Java 7 ? Where can I can get QAPlug UI Thanks Jan
Hi, please note that PMD 5.x is not backward compatible with the older releases. This new release changed rulesets ids, so instead of rulesets/migrating.xml you should use rulesets/releases/34.xml or other wrapper rulesets. The easiest way to fix the problem is to use QAPlug UI to create the new profiles.
This update was supposed to fix the importing problem? If yes, I am still have issues here: 12:10:53 RuntimeException: Error during dispatching of java.awt.event.MouseEvent[MOUSE_RELEASED,(475,200),absolute(483,220),button=1,modifiers=Button1,clickCount=1] on dialog0: Couldn't find the class Can't find resource rulesets/migrating.xml. Make sure the resource is a valid file or URL or is on the CLASSPATH. Here's the current classpath:
loxal, which version of the plugin are you using? Please note that QAPlug-PMD 1.3.3 released today, should solve that problem.
Throws an exception on project startup which prevents IntelliJ preferences window from showing up.
@vitormcruz Thank you for your comment. We are aware of this bug and we are doing everything we can to fix it.
When importing rule definitions, some rulesets does not exists, such as logging-jakarta-commons.xml and desing, and the import fails. I tested on Intellij 12.1.3
Works fine in Intellij 10
not for idea10
Loading xml configuration files functionality will be added in next version (0.7)
Could you provide some more details?

Which error messages do you see in your language and what is your language?

Every coding rule description and the overall plugin UI should be in english.

In case of any problems/questions/suggestions don't hesitate to send an email to 'support at'.
why do the "error" message are translated to my language and are not in english?

how to change this?
Version 0.6 of the plugin should work under IDEA 9.
Plugin was tested on IDEA 8.
Currently we are working on adjustments to make it work under IDEA 9.
Please  sign in  to leave a comment.